Last Comment Bug 773731 - SpiderMonkey: UseNewType pattern matching broken.
: SpiderMonkey: UseNewType pattern matching broken.
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla17
Assigned To: Kannan Vijayan [:djvj]
:
Mentors:
Depends on: 793491
Blocks: 770309
  Show dependency treegraph
 
Reported: 2012-07-13 11:17 PDT by Kannan Vijayan [:djvj]
Modified: 2012-11-29 12:49 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch. (1.33 KB, patch)
2012-07-13 14:21 PDT, Kannan Vijayan [:djvj]
bhackett1024: review+
Details | Diff | Splinter Review

Description Kannan Vijayan [:djvj] 2012-07-13 11:17:27 PDT
Ran into this while working on Bug 770309.

A recent change to jsinterp.cpp's handling of JSOP_NEW breaks UseNewType's pattern matching.  It modified the current context to refer to the callee before calling UseNewType, when UseNewType operates on the caller.

Fix should be quick, some small re-ordering of code.
Comment 1 Kannan Vijayan [:djvj] 2012-07-13 14:21:08 PDT
Created attachment 642051 [details] [diff] [review]
Patch.
Comment 2 Ed Morley [:emorley] 2012-07-16 12:08:53 PDT
This landed on inbound as:
https://hg.mozilla.org/integration/mozilla-inbound/rev/8837ebfb3045

However the bug number was incorrect.

Please can you backout and reland with the correct # so as to make hg blame clearer.

Thanks :-)
Comment 3 Kannan Vijayan [:djvj] 2012-07-16 12:38:06 PDT
Thanks for the heads up :)  Reverted, fixed, and pushed:

https://hg.mozilla.org/integration/mozilla-inbound/rev/3b2bad6c343b
Comment 4 Ed Morley [:emorley] 2012-07-17 02:12:37 PDT
https://hg.mozilla.org/mozilla-central/rev/3b2bad6c343b

Note You need to log in before you can comment on or make changes to this bug.